<?php

require_once __DIR__ . '/vendor/autoload.php';



define('APPLICATION_NAME', 'Google Sheets API PHP Quickstart');

define('CREDENTIALS_PATH', '~/.credentials/sheets.googleapis.com-php-quickstart.json');

define('CLIENT_SECRET_PATH', __DIR__ . '/client_secret.json');

// If modifying these scopes, delete your previously saved credentials

// at ~/.credentials/sheets.googleapis.com-php-quickstart.json

define('SCOPES', implode(' ', array(

  Google_Service_Sheets::SPREADSHEETS_READONLY)

));



/*if (php_sapi_name() != 'cli') {

  throw new Exception('This application must be run on the command line.');

}*/



/**

 * Returns an authorized API client.

 * @return Google_Client the authorized client object

 */

function getClient() {

  $api_key = "AIzaSyB0TyK5-F78Nplyu7vQRIB_TvhdYdB1Sjs";

  $client = new Google_Client();

  $client->setApplicationName(APPLICATION_NAME);

  $client->setScopes(SCOPES);

  $client->setAuthConfig(CLIENT_SECRET_PATH);

  $client->setAccessType('offline');

  $client->setDeveloperKey($api_key);



  return $client;

}



/**

 * Expands the home directory alias '~' to the full path.

 * @param string $path the path to expand.

 * @return string the expanded path.

 */

function expandHomeDirectory($path) {

  $homeDirectory = getenv('HOME');

  if (empty($homeDirectory)) {

    $homeDirectory = getenv('HOMEDRIVE') . getenv('HOMEPATH');

  }

  return str_replace('~', realpath($homeDirectory), $path);

}



// Get the API client and construct the service object.

$client = getClient();

$service = new Google_Service_Sheets($client);



// Prints the names and majors of students in a sample spreadsheet:

// https://docs.google.com/spreadsheets/d/1BxiMVs0XRA5nFMdKvBdBZjgmUUqptlbs74OgvE2upms/edit

$spreadsheetId = '1R12ol3Wf066h6JCv3eH6_MJ1OltVUQlYDh61Dv12HL0';

$range = "'".$_GET['sheet_name']."'!A1:J1000";

$response = $service->spreadsheets_values->get($spreadsheetId, $range);





$values = $response->getValues();



$data = array();

if (count($values) == 0) {

  $data['status'] = 0; 

  $data['message'] = "Data not found"; 

} else {

  $data['status'] = 1;

  $result = array();
  $discipline = array();

  foreach ($values as $key => $row) {

    // Print columns A and E, which correspond to indices 0 and 4.

    $result[$key]['project_title'] = (isset($row[0]))?$row[0]:'';

    $result[$key]['leader'] = (isset($row[1]))?$row[1]:'';

    $result[$key]['supervisor'] = (isset($row[2]))?$row[2]:'';

    $result[$key]['contact_details'] = (isset($row[3]))?$row[3]:'';

    $discipline[] = $result[$key]['discipline'] = (isset($row[4]))?$row[4]:'';

    $result[$key]['group'] = (isset($row[5]))?$row[5]:'';

    $result[$key]['campus'] = (isset($row[6]))?$row[6]:'';

    $result[$key]['program_code'] = (isset($row[7]))?$row[7]:'';

    $result[$key]['positions'] = (isset($row[8]))?$row[8]:'';

    $result[$key]['description'] = (isset($row[9]))?$row[9]:'';    

  }
  
  array_shift($result);
  $data['result'] = $result; 
  unset($discipline[0]);
  $data['discipline'] =  array_unique($discipline);
  
}


echo "initializeData(".json_encode($data)."); showSheetData(".json_encode($data).",".json_encode($data).");";






